(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)
(*  Soubor: HLIDAC.PAS                                                     *)
(*  Obsah: program, ktery zaznamenava datum a cas spusteni pocitace        *)
(*  Autor: Mircosoft                                                       *)
(*  Datum vzniku: ??. ??. 2004                                             *)
(*  Pro kompilaci: (DOS)                                                   *)
(*  Pro spusteni: nic                                                      *)
(*  Upozorneni: tyto zdrojove kody pouzivate na vlastni nebezpeci          *)
(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)

{Tento program vznikl kdysi na zakazku, ktera znela asi: "Hele, dalo by se
nejak zjistit, kdo a kdy mi leze do tohohle pocitace?". Otazku "kdo" sice
neresi, ale "kdy" zaznamena spolehlive.

Pro spravnou funkci programu je potreba pridat do souboru AUTOEXEC.BAT radek:

@c:\<cesta>\hlidac.exe

kde <cesta> je adresar, ve kterem Hlidac sidli a @ na zacatku je proto, aby
se tento prikaz nezobrazil na obrazovce (co by to bylo za hlidace, kdyby se
o nem vedelo).
A to je cele. Vysledky Hlidacovy prace si pak muzete precist v souboru
ZAZNAM.TXT.}

program Hlidac;
{$A+,B-,D-,E-,F-,G-,L-,N-,O-,P-,Q-,R-,S-,T-,V-,X-} {toho si nemusite vsimat}
{$I-} {ale tahle je dulezita}
{$M 1024,0,0} {vic pameti neni potreba}

uses dos;

const soubor='Zaznam.txt'; {soubor, kam ma program zapisovat}

var f:text;
    rok,mesic,den,dvt,hod,min,sek,setsek:word;

function denvt(cislo:word):string;{prevede cislo na nazev dne}
Begin
case cislo of 0:denvt:='nedele';
              1:denvt:='pondeli';
              2:denvt:='utery';
              3:denvt:='streda';
              4:denvt:='ctvrtek';
              5:denvt:='patek';
              6:denvt:='sobota';
              end;
End;{denvt}

BEGIN
assign(f,soubor);
reset(f);close(f);{zkouska, jestli soubor existuje}
if ioresult=0 then append(f){existuje - bude se pripisovat na konec}
              else rewrite(f);{neexistuje - vytvori se novy}
getdate(rok,mesic,den,dvt);
gettime(hod,min,sek,setsek);
writeln(f,denvt(dvt):7,', ',den:2,'.',mesic:2,'.',rok,', ',hod:2,':',min:2);
close(f);
END.